import { registerExtension } from 'vscode/extensions';

var manifest = {name:"markdown-math",displayName:"%displayName%",description:"%description%",version:"1.0.0",icon:"icon.png",publisher:"vscode",license:"MIT",aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",engines:{vscode:"^1.54.0"},categories:["Other","Programming Languages"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},main:undefined,browser:"./dist/browser/extension",activationEvents:[],contributes:{languages:[{id:"markdown-math",aliases:[]}],grammars:[{language:"markdown-math",scopeName:"text.html.markdown.math",path:"./syntaxes/md-math.tmLanguage.json"},{scopeName:"markdown.math.block",path:"./syntaxes/md-math-block.tmLanguage.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.math.markdown":"latex"}},{scopeName:"markdown.math.inline",path:"./syntaxes/md-math-inline.tmLanguage.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.math.markdown":"latex","punctuation.definition.math.end.markdown":"latex"}}],notebookRenderer:[{id:"vscode.markdown-it-katex-extension",displayName:"Markdown it KaTeX renderer",entrypoint:{"extends":"vscode.markdown-it-renderer",path:"./notebook-out/katex.js"}}],"markdown.markdownItPlugins":true,"markdown.previewStyles":["./notebook-out/katex.min.css","./preview-styles/index.css"],configuration:[{title:"Markdown Math",properties:{"markdown.math.enabled":{type:"boolean","default":true,description:"%config.markdown.math.enabled%"},"markdown.math.macros":{type:"object",additionalProperties:{type:"string"},"default":{},description:"%config.markdown.math.macros%",scope:"resource"}}}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('icon.png', new URL('./resources/icon.png', import.meta.url).toString(), 'image/png');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('notebook-out/katex.js', new URL('./resources/katex.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('notebook-out/katex', new URL('./resources/katex.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('notebook-out/katex.min.css', new URL('./resources/katex.min.css', import.meta.url).toString(), 'text/css');
registerFileUrl('preview-styles/index.css', new URL('./resources/index.css', import.meta.url).toString(), 'text/css');
registerFileUrl('syntaxes/md-math-block.tmLanguage.json', new URL('./resources/md-math-block.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('syntaxes/md-math-inline.tmLanguage.json', new URL('./resources/md-math-inline.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('syntaxes/md-math.tmLanguage.json', new URL('./resources/md-math.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), 'application/json');
registerFileUrl('notebook-out/fonts/KaTeX_AMS-Regular.woff2', new URL('./resources/KaTeX_AMS-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Caligraphic-Bold.woff2', new URL('./resources/KaTeX_Caligraphic-Bold.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Caligraphic-Regular.woff2', new URL('./resources/KaTeX_Caligraphic-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Fraktur-Bold.woff2', new URL('./resources/KaTeX_Fraktur-Bold.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Fraktur-Regular.woff2', new URL('./resources/KaTeX_Fraktur-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Main-Bold.woff2', new URL('./resources/KaTeX_Main-Bold.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Main-BoldItalic.woff2', new URL('./resources/KaTeX_Main-BoldItalic.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Main-Italic.woff2', new URL('./resources/KaTeX_Main-Italic.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Main-Regular.woff2', new URL('./resources/KaTeX_Main-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Math-BoldItalic.woff2', new URL('./resources/KaTeX_Math-BoldItalic.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Math-Italic.woff2', new URL('./resources/KaTeX_Math-Italic.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Bold.woff2', new URL('./resources/KaTeX_SansSerif-Bold.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Italic.woff2', new URL('./resources/KaTeX_SansSerif-Italic.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Regular.woff2', new URL('./resources/KaTeX_SansSerif-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Script-Regular.woff2', new URL('./resources/KaTeX_Script-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Size1-Regular.woff2', new URL('./resources/KaTeX_Size1-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Size2-Regular.woff2', new URL('./resources/KaTeX_Size2-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Size3-Regular.woff2', new URL('./resources/KaTeX_Size3-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Size4-Regular.woff2', new URL('./resources/KaTeX_Size4-Regular.woff2', import.meta.url).toString(), 'font/woff2');
registerFileUrl('notebook-out/fonts/KaTeX_Typewriter-Regular.woff2', new URL('./resources/KaTeX_Typewriter-Regular.woff2', import.meta.url).toString(), 'font/woff2');

export { whenReady };
